details:   https://code.tryton.org/gentoo-overlay/commit/49d8d78c2155
branch:    default
user:      Cédric Krier <[email protected]>
date:      Sat Mar 21 19:02:41 2026 +0100
description:
        app-office/trytond: versions bump
diffstat:

 app-office/trytond/Manifest              |  12 +-
 app-office/trytond/trytond-7.0.46.ebuild |  99 --------------------------------
 app-office/trytond/trytond-7.0.47.ebuild |  99 ++++++++++++++++++++++++++++++++
 app-office/trytond/trytond-7.6.17.ebuild |  98 -------------------------------
 app-office/trytond/trytond-7.6.18.ebuild |  98 +++++++++++++++++++++++++++++++
 app-office/trytond/trytond-7.8.5.ebuild  |  98 -------------------------------
 app-office/trytond/trytond-7.8.6.ebuild  |  98 +++++++++++++++++++++++++++++++
 7 files changed, 301 insertions(+), 301 deletions(-)

diffs (634 lines):

diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/Manifest
--- a/app-office/trytond/Manifest       Sat Mar 21 18:37:45 2026 +0100
+++ b/app-office/trytond/Manifest       Sat Mar 21 19:02:41 2026 +0100
@@ -2,10 +2,10 @@
 AUX trytond-cron-init.d-2 899 BLAKE2B 
2a52c2144df192c9be4296a37e5a89fb66e78fa1b21164b91bb0f067724972d89de9d3295bb12154eeb0d1999ee22ca287132e8f82f507c00292103f72474318
 SHA512 
ed11eeb680eecd0906866490a4250e9245abb6fa4954487a536467bebf718c3d811e31419e5f211109c3034b5660b1d3cf3397908f524d4c9c3a0e1351e106cd
 AUX trytond-init.d-2 799 BLAKE2B 
78dcf251feb3e9f04ba5014359c8da069cc54e14a626f6d9e03306008a30e4e412354c409ad7bb8beb47dfa65e1cc9eb12ab9459ea56f47e2994b25f113297c0
 SHA512 
1c6f1aa4fa8ad1da7e88e2ed5c53646802747c3ea1b4108ec51b400214eb7dd0a586548fa76d864be0087d24c1b9913343cba28339323e7a1a7fa370a8bce1c6
 AUX trytond-worker-init.d 909 BLAKE2B 
8f2a7afcef8c44270737581f36aade8195267b22fadb30c528549b32447cd982192c97c79d03f344e59451932e4c824b77ba6856e0b56e11c2503121b02f2181
 SHA512 
907d040f70fba324c35513e6795007bd3f55786b3541716f4c18920db39e88f3bc53451b63c50e56fe2c9366d2831aa602b83a58bb37dcc9b7780082304d279c
-DIST trytond-7.0.46.tar.gz 981303 BLAKE2B 
afff7111c19c65094d9d0e0ed8598f792d324eaa49f57f3f87efb042bf6aac6b56c1405c2af670957162b804da545ac53848fe47f04fa263e946d6a93979e86c
 SHA512 
0108f93e3e8798037190958f3317d0473d7777bfe1a455bba2e39d5dd1e0f7d606c6c80834781afdf7f54df0e1951c006bdf9e299732b8b6e5d2ab5d17554a9f
-DIST trytond-7.6.17.tar.gz 1054734 BLAKE2B 
a559cb86958668e35ea6c2a00a70380d3a99be6d5321c5ab444bf373591574d3a1acba1d667f18aba8d1160d1b967bd2e05c8aa3cf10a8595c91b9176382c2b0
 SHA512 
636fb4dc0be9e440c7ec378d4ff7a736e37a8a157391b5e49bc0a87b520cf61ca46bad18d4cf0de5d897e07f58f02639771233a971d2aad86006bde278ccc453
-DIST trytond-7.8.5.tar.gz 1072924 BLAKE2B 
efff00f4f2a27ccc55328c3488ae73b20ce349a4af8c65cc8335d82f663e394305d361728885f34fd77cad460c04f014d41af7d8b1091e402749660df0f9edee
 SHA512 
b953c1e6ae7a420a2df25ff5ada09c18767247037f0728f5dfd0a6d29732aeba294d1f3c9e70f0cc9415a042fc49af1208b4bf4922a7a987a3223afd695f697f
-EBUILD trytond-7.0.46.ebuild 3258 BLAKE2B 
242e6bdc2278680002d7b34646a325c3f69d5596a6dfca64842d5c79165a1b2e28936b024bd78d4560deebf6fc6ab2014efdfaa4fe636f7e17a2c0c917f5fa8f
 SHA512 
ddf8558b934b23790ab4bd876ebd5d68ffd7cafbb74fa976d379fc4be359102b05530d70e65458ba9927da2eebcdef36b87926a82d59ee5669fe89d0d22c3346
-EBUILD trytond-7.6.17.ebuild 3203 BLAKE2B 
6e69a6b17214f9d947e3d3acb2ed869d41e26046a86a927cde7b490d3e8be3d06964bc0e2120a9e7e7050c48ef857945691214166596a75411845f911db819a3
 SHA512 
8195c035b7027c53745476ab3ba0333145ae08aa86fc6467b4ed99678a73f75468fa0fb9155e37db8e0145e805ed4a093eefd9a21d97163e3eee2f90ed6cae29
-EBUILD trytond-7.8.5.ebuild 3203 BLAKE2B 
6e69a6b17214f9d947e3d3acb2ed869d41e26046a86a927cde7b490d3e8be3d06964bc0e2120a9e7e7050c48ef857945691214166596a75411845f911db819a3
 SHA512 
8195c035b7027c53745476ab3ba0333145ae08aa86fc6467b4ed99678a73f75468fa0fb9155e37db8e0145e805ed4a093eefd9a21d97163e3eee2f90ed6cae29
+DIST trytond-7.0.47.tar.gz 981496 BLAKE2B 
b41e0187ed9d09df4eb7f3b51abbe2af27e45bef18d95487e2e928a0dc73a5505bdd39688358118af815f3ce83c4907e8e8675439045e51b6bdc15573ec3c683
 SHA512 
6699fc81ef7d6003d87933fd0dbf43e57d190534d1e7f9920bba063b52c081d779a2ec43196cd353377ba0a9ac2d38428d761e8a1b5ed8b957f15078186209ec
+DIST trytond-7.6.18.tar.gz 1054903 BLAKE2B 
f0163807cab7875bbdc99ff31ebb3dce08f2236af98cb5abbd12fdd91ecbe36fcaf625252f363bb38b06e81e7fab2bfc31fdffad113377e537da90931c28e07d
 SHA512 
1f8cde5d45660856cdafb0770cc5b29e7691264d55b0f74151982acc1dbd4fa828bae94c8397690879caaec4ce59da9898a11929c0bcaa90ef5c94b3b467876d
+DIST trytond-7.8.6.tar.gz 1073128 BLAKE2B 
9509d56429293a8174e27feaafa0f7a8a085c6945072c8fe8cba23c305c9dead385b7bdd8005d3a9eaad1ba19a95ec8d06a8a84f734364d4aac6df8146bb3a65
 SHA512 
dcdcc0d3495caaac780afa445e88e2f92a7a675852c0aceb12a3423fa9acce11ca587e9161fdcd9febba5daf3f9a158fcea4aa0ba5e8324b9a73bc5567fb1926
+EBUILD trytond-7.0.47.ebuild 3258 BLAKE2B 
242e6bdc2278680002d7b34646a325c3f69d5596a6dfca64842d5c79165a1b2e28936b024bd78d4560deebf6fc6ab2014efdfaa4fe636f7e17a2c0c917f5fa8f
 SHA512 
ddf8558b934b23790ab4bd876ebd5d68ffd7cafbb74fa976d379fc4be359102b05530d70e65458ba9927da2eebcdef36b87926a82d59ee5669fe89d0d22c3346
+EBUILD trytond-7.6.18.ebuild 3203 BLAKE2B 
6e69a6b17214f9d947e3d3acb2ed869d41e26046a86a927cde7b490d3e8be3d06964bc0e2120a9e7e7050c48ef857945691214166596a75411845f911db819a3
 SHA512 
8195c035b7027c53745476ab3ba0333145ae08aa86fc6467b4ed99678a73f75468fa0fb9155e37db8e0145e805ed4a093eefd9a21d97163e3eee2f90ed6cae29
+EBUILD trytond-7.8.6.ebuild 3203 BLAKE2B 
6e69a6b17214f9d947e3d3acb2ed869d41e26046a86a927cde7b490d3e8be3d06964bc0e2120a9e7e7050c48ef857945691214166596a75411845f911db819a3
 SHA512 
8195c035b7027c53745476ab3ba0333145ae08aa86fc6467b4ed99678a73f75468fa0fb9155e37db8e0145e805ed4a093eefd9a21d97163e3eee2f90ed6cae29
 MISC metadata.xml 890 BLAKE2B 
0cdfba62159450bea5d52ac23b0ca1f65466653ef5ebe431df047cdfa15d3136dd4072c152f2bc8267b2e6f975f56f9113cd6df7c549e6d51373de18edfeed94
 SHA512 
8d86dbd5094f7bbb262d47a3d391ce71513418d85d6335660ad84498d304a09cfc71316b7e1a0e53df7e49d36bca1bbb1f53726d03beee8ef664e429962f1fb3
diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/trytond-7.0.46.ebuild
--- a/app-office/trytond/trytond-7.0.46.ebuild  Sat Mar 21 18:37:45 2026 +0100
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,99 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="graphviz +postgres sqlite levenshtein bcrypt argon2 html2text weasyprint 
image barcode qrcode bash-completion email-validation test"
-
-RDEPEND="acct-group/trytond
-       acct-user/trytond
-       postgres? ( >=dev-python/psycopg-2.7.0:2[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       dev-python/defusedxml[$PYTHON_USEDEP]
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-1.3[$PYTHON_USEDEP]
-       >=dev-python/werkzeug-0.12[$PYTHON_USEDEP]
-       >=dev-python/passlib-1.7.0[$PYTHON_USEDEP]
-       $(python_gen_cond_dep 'dev-python/pytz[${PYTHON_USEDEP}]' 
python3_{8..9})
-       $(python_gen_cond_dep 'dev-python/backports-entry-points-selectable' 
python3_{8..9})
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
-       argon2? ( dev-python/argon2-cffi[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
-       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
-       image? ( dev-python/pillow[truetype,$PYTHON_USEDEP] )
-       barcode? ( dev-python/python-barcode[image,$PYTHON_USEDEP] )
-       qrcode? (
-               dev-python/qrcode[$PYTHON_USEDEP]
-               dev-python/webcolors[$PYTHON_USEDEP]
-       )
-       bash-completion? ( dev-python/argcomplete[$PYTHON_USEDEP] )
-       email-validation? ( dev-python/email-validator[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       test? (
-               $(python_gen_impl_dep sqlite)
-               dev-python/pillow[truetype,$PYTHON_USEDEP]
-               )"
-RESTRICT="!test? ( test )"
-DOCS="CHANGELOG COPYRIGHT README.rst doc/*.rst"
-
-distutils_enable_tests unittest
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-}
-
-python_test() {
-       DB_NAME=":memory:" eunittest -s trytond.tests
-}
-
-pkg_preinst() {
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/trytond-7.0.47.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-7.0.47.ebuild  Sat Mar 21 19:02:41 2026 +0100
@@ -0,0 +1,99 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="graphviz +postgres sqlite levenshtein bcrypt argon2 html2text weasyprint 
image barcode qrcode bash-completion email-validation test"
+
+RDEPEND="acct-group/trytond
+       acct-user/trytond
+       postgres? ( >=dev-python/psycopg-2.7.0:2[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       dev-python/defusedxml[$PYTHON_USEDEP]
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-1.3[$PYTHON_USEDEP]
+       >=dev-python/werkzeug-0.12[$PYTHON_USEDEP]
+       >=dev-python/passlib-1.7.0[$PYTHON_USEDEP]
+       $(python_gen_cond_dep 'dev-python/pytz[${PYTHON_USEDEP}]' 
python3_{8..9})
+       $(python_gen_cond_dep 'dev-python/backports-entry-points-selectable' 
python3_{8..9})
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
+       argon2? ( dev-python/argon2-cffi[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
+       image? ( dev-python/pillow[truetype,$PYTHON_USEDEP] )
+       barcode? ( dev-python/python-barcode[image,$PYTHON_USEDEP] )
+       qrcode? (
+               dev-python/qrcode[$PYTHON_USEDEP]
+               dev-python/webcolors[$PYTHON_USEDEP]
+       )
+       bash-completion? ( dev-python/argcomplete[$PYTHON_USEDEP] )
+       email-validation? ( dev-python/email-validator[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/pillow[truetype,$PYTHON_USEDEP]
+               )"
+RESTRICT="!test? ( test )"
+DOCS="CHANGELOG COPYRIGHT README.rst doc/*.rst"
+
+distutils_enable_tests unittest
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+}
+
+python_test() {
+       DB_NAME=":memory:" eunittest -s trytond.tests
+}
+
+pkg_preinst() {
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/trytond-7.6.17.ebuild
--- a/app-office/trytond/trytond-7.6.17.ebuild  Sat Mar 21 18:37:45 2026 +0100
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,98 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="graphviz +postgres sqlite levenshtein html2text weasyprint image barcode 
qrcode bash-completion email-validation test"
-
-RDEPEND="acct-group/trytond
-       acct-user/trytond
-       postgres? ( >=dev-python/psycopg-2.7.0:2[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       dev-python/defusedxml[$PYTHON_USEDEP]
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-1.5[$PYTHON_USEDEP]
-       dev-python/simpleeval[$PYTHON_USEDEP]
-       >=dev-python/werkzeug-0.12[$PYTHON_USEDEP]
-       >=dev-python/pwdlib-0.2[argon2,$PYTHON_USEDEP]
-       $(python_gen_cond_dep 'dev-python/pytz[${PYTHON_USEDEP}]' 
python3_{8..9})
-       $(python_gen_cond_dep 'dev-python/backports-entry-points-selectable' 
python3_{8..9})
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/levenshtein[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
-       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
-       image? ( dev-python/pillow[truetype,$PYTHON_USEDEP] )
-       barcode? ( dev-python/python-barcode[image,$PYTHON_USEDEP] )
-       qrcode? (
-               dev-python/qrcode[$PYTHON_USEDEP]
-               dev-python/webcolors[$PYTHON_USEDEP]
-       )
-       bash-completion? ( dev-python/argcomplete[$PYTHON_USEDEP] )
-       email-validation? ( dev-python/email-validator[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       test? (
-               $(python_gen_impl_dep sqlite)
-               dev-python/pillow[truetype,$PYTHON_USEDEP]
-               )"
-RESTRICT="!test? ( test )"
-DOCS="CHANGELOG COPYRIGHT README.rst doc/*.rst"
-
-distutils_enable_tests unittest
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-}
-
-python_test() {
-       DB_NAME=":memory:" TEST_NETWORK=0 eunittest -s trytond.tests
-}
-
-pkg_preinst() {
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/trytond-7.6.18.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-7.6.18.ebuild  Sat Mar 21 19:02:41 2026 +0100
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="graphviz +postgres sqlite levenshtein html2text weasyprint image barcode 
qrcode bash-completion email-validation test"
+
+RDEPEND="acct-group/trytond
+       acct-user/trytond
+       postgres? ( >=dev-python/psycopg-2.7.0:2[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       dev-python/defusedxml[$PYTHON_USEDEP]
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-1.5[$PYTHON_USEDEP]
+       dev-python/simpleeval[$PYTHON_USEDEP]
+       >=dev-python/werkzeug-0.12[$PYTHON_USEDEP]
+       >=dev-python/pwdlib-0.2[argon2,$PYTHON_USEDEP]
+       $(python_gen_cond_dep 'dev-python/pytz[${PYTHON_USEDEP}]' 
python3_{8..9})
+       $(python_gen_cond_dep 'dev-python/backports-entry-points-selectable' 
python3_{8..9})
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/levenshtein[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
+       image? ( dev-python/pillow[truetype,$PYTHON_USEDEP] )
+       barcode? ( dev-python/python-barcode[image,$PYTHON_USEDEP] )
+       qrcode? (
+               dev-python/qrcode[$PYTHON_USEDEP]
+               dev-python/webcolors[$PYTHON_USEDEP]
+       )
+       bash-completion? ( dev-python/argcomplete[$PYTHON_USEDEP] )
+       email-validation? ( dev-python/email-validator[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/pillow[truetype,$PYTHON_USEDEP]
+               )"
+RESTRICT="!test? ( test )"
+DOCS="CHANGELOG COPYRIGHT README.rst doc/*.rst"
+
+distutils_enable_tests unittest
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+}
+
+python_test() {
+       DB_NAME=":memory:" TEST_NETWORK=0 eunittest -s trytond.tests
+}
+
+pkg_preinst() {
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/trytond-7.8.5.ebuild
--- a/app-office/trytond/trytond-7.8.5.ebuild   Sat Mar 21 18:37:45 2026 +0100
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,98 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="graphviz +postgres sqlite levenshtein html2text weasyprint image barcode 
qrcode bash-completion email-validation test"
-
-RDEPEND="acct-group/trytond
-       acct-user/trytond
-       postgres? ( >=dev-python/psycopg-2.7.0:2[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       dev-python/defusedxml[$PYTHON_USEDEP]
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-1.5[$PYTHON_USEDEP]
-       dev-python/simpleeval[$PYTHON_USEDEP]
-       >=dev-python/werkzeug-0.12[$PYTHON_USEDEP]
-       >=dev-python/pwdlib-0.2[argon2,$PYTHON_USEDEP]
-       $(python_gen_cond_dep 'dev-python/pytz[${PYTHON_USEDEP}]' 
python3_{8..9})
-       $(python_gen_cond_dep 'dev-python/backports-entry-points-selectable' 
python3_{8..9})
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/levenshtein[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
-       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
-       image? ( dev-python/pillow[truetype,$PYTHON_USEDEP] )
-       barcode? ( dev-python/python-barcode[image,$PYTHON_USEDEP] )
-       qrcode? (
-               dev-python/qrcode[$PYTHON_USEDEP]
-               dev-python/webcolors[$PYTHON_USEDEP]
-       )
-       bash-completion? ( dev-python/argcomplete[$PYTHON_USEDEP] )
-       email-validation? ( dev-python/email-validator[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       test? (
-               $(python_gen_impl_dep sqlite)
-               dev-python/pillow[truetype,$PYTHON_USEDEP]
-               )"
-RESTRICT="!test? ( test )"
-DOCS="CHANGELOG COPYRIGHT README.rst doc/*.rst"
-
-distutils_enable_tests unittest
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-}
-
-python_test() {
-       DB_NAME=":memory:" TEST_NETWORK=0 eunittest -s trytond.tests
-}
-
-pkg_preinst() {
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r ee5ddd2b073d -r 49d8d78c2155 app-office/trytond/trytond-7.8.6.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-7.8.6.ebuild   Sat Mar 21 19:02:41 2026 +0100
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="graphviz +postgres sqlite levenshtein html2text weasyprint image barcode 
qrcode bash-completion email-validation test"
+
+RDEPEND="acct-group/trytond
+       acct-user/trytond
+       postgres? ( >=dev-python/psycopg-2.7.0:2[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       dev-python/defusedxml[$PYTHON_USEDEP]
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-1.5[$PYTHON_USEDEP]
+       dev-python/simpleeval[$PYTHON_USEDEP]
+       >=dev-python/werkzeug-0.12[$PYTHON_USEDEP]
+       >=dev-python/pwdlib-0.2[argon2,$PYTHON_USEDEP]
+       $(python_gen_cond_dep 'dev-python/pytz[${PYTHON_USEDEP}]' 
python3_{8..9})
+       $(python_gen_cond_dep 'dev-python/backports-entry-points-selectable' 
python3_{8..9})
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/levenshtein[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
+       image? ( dev-python/pillow[truetype,$PYTHON_USEDEP] )
+       barcode? ( dev-python/python-barcode[image,$PYTHON_USEDEP] )
+       qrcode? (
+               dev-python/qrcode[$PYTHON_USEDEP]
+               dev-python/webcolors[$PYTHON_USEDEP]
+       )
+       bash-completion? ( dev-python/argcomplete[$PYTHON_USEDEP] )
+       email-validation? ( dev-python/email-validator[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/pillow[truetype,$PYTHON_USEDEP]
+               )"
+RESTRICT="!test? ( test )"
+DOCS="CHANGELOG COPYRIGHT README.rst doc/*.rst"
+
+distutils_enable_tests unittest
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+}
+
+python_test() {
+       DB_NAME=":memory:" TEST_NETWORK=0 eunittest -s trytond.tests
+}
+
+pkg_preinst() {
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb trytond
+               eend $? || die "Failed to create database user"
+       fi
+}

Reply via email to